
#include <Servo.h>

Servo head;
Servo neck;
Servo shoulder;
Servo uarm;
Servo larm;
Servo table;
Servo shoulderl;
Servo uarml;
Servo larml;
Servo robota;
int rcvd=12;
int val=0;


void setup () {

table.attach(2);
head.attach(3);
neck.attach(4);
shoulder.attach(5);
uarm.attach(6);
larm.attach(7);
shoulderl.attach(8);
uarml.attach(9);
larml.attach(10);
robota.attach(11);
pinMode (rcvd,INPUT);

head.write(90);//arm out of way
neck.write(75);
shoulder.write(65);
uarm.write(10);
larm.write(90);
table.write(18);//work
shoulderl.write(130);
uarml.write(157);
larml.write(110);
robota.write(92);//down toward Elfis

delay(2000);

}

void loop() {

  val=digitalRead(rcvd);
  if (val==HIGH) {

    head.write(110);
    neck.write(75);
    delay(70000);

    head.write(90);
    delay(500);
      
    

shoulderl.write(130);//rotate left shoulder down
neck.write(0);
delay(500);
head.write(60);//look up
delay(500);

uarm.write(30);//sideways tap
uarml.write(115);
delay(1000);
uarm.write (10);
uarml.write(157);
delay(500);

uarm.write(30);//sideways tap
uarml.write(115);
delay(1000);
uarm.write (10);
uarml.write(157);
delay(500);

head.write(110);//return head forward
neck.write(75);
delay(500);

shoulderl.write(50);//raise arms
shoulder.write(135);
delay(300);
table.write(180);
delay(300);
shoulderl.write(130);//lower arms
shoulder.write(65);
delay(1500);



//begin robot control

for (int y=0; y<4; y++) {
shoulderl.write(60);//move left arm upward to indicate control
uarml.write(127);//move arm in robot direction
robota.write(102);//move left (from Elsie's view)
neck.write(90);//turn head to left
delay(3000);
shoulderl.write(110);
uarml.write(157);
shoulder.write(125);//move right arm up
delay(500);
uarm.write(25);//move arm to Elsie's right, robot direction
neck.write(60);


robota.write(92);
delay(3000);
shoulder.write(65);//return right arm to normal
uarm.write(10);
}



head.write(110);//return head
neck.write(110);
shoulderl.write(130);

delay(18000);


head.write(110);
neck.write(40);//turn to Elfis

delay(4500);

for (int x=0;x<12;x++){//bob to Elfis music

head.write(90);
delay(150);
head.write(75);
delay(150);
head.write(110);
delay(1700);
}

head.write(90);
neck.write(160);//turn to face Santa
head.write(75);
delay(1000);
uarm.write(80);
delay(500);
uarm.write(10);

delay(7000);//wait to look at Elfis

head.write(90);//look at Elfis and back
neck.write(10);
delay(1000);
neck.write(160);
head.write(75);

delay(5000);//wait for second tap




head.write(90);//look at Elfis and back
neck.write(10);
delay(1000);
uarm.write(80);
delay(500);
uarm.write(10);
delay(500);
uarm.write(80);
delay(500);
uarm.write(10);

neck.write(160);
head.write(75);
delay(1000);






delay(6000);//wait for Elfis

neck.write(75);
head.write(110);

table.write(18);


  }
}

